Page MenuHomePhabricator

make arcanist available as OS package
Closed, DuplicatePublic

Description

For the growing user base of phabricator it would be great to make arcanist available as OS package for the major Linux distributions. either as maintained packe of the distribution or to follow the development of archaist more quickly as repository. We have seen the OwnCLoud guys which are distributing the PHP based owncloud application via the hosted build service which creates packages for a number of distributions.

http://software.opensuse.org/download/package?project=isv:ownCloud:community&package=owncloud

as i side note, while installing arcanist from our local build packages we have a name conflict with the "arc" tool in distribution repositories. you ever have considered to solve the name collision?

http://packages.debian.org/source/wheezy/arc

Event Timeline

hwinkel created this task.Nov 1 2013, 1:16 PM
hwinkel raised the priority of this task from to Needs Triage.
hwinkel updated the task description. (Show Details)
hwinkel added a project: Arcanist.
hwinkel added subscribers: hwinkel, RoadRunnr, tolbrino.
hsychla added a subscriber: hsychla.Nov 1 2013, 1:23 PM
epriestley triaged this task as Wishlist priority.Nov 4 2013, 4:19 PM
epriestley added a subscriber: epriestley.

This is a very low priority. We don't have experience with packaging, we're available on many operating systems, and the software updates frequently.

hwinkel renamed this task from make archaist available as OS package to make arcanist available as OS package.Dec 4 2013, 5:31 AM
epriestley closed this task as a duplicate.Dec 13 2013, 12:09 AM

✘ Merged into T4200.

qgil added a subscriber: qgil.May 5 2014, 9:33 PM
scfc added a subscriber: scfc.Aug 16 2014, 12:36 AM
jayvdb added a subscriber: jayvdb.Feb 18 2015, 12:59 AM

This should be a separate subtask from T4200, and have subtasks for each major OS/distro/packaging system.